GPG keys dell-system-update_dependent

Stai visualizzando 1 post (di 1 totali)
  • Autore
    Post
  • #167925
    Stefano Brizzante
    Amministratore del forum

    data 19 marzo 2020

    Dal server plesk gli aggiornamenti sono bloccati causa errore
    ERROR: The GPG keys listed for the "dell-system-update_dependent" repository are already installed but they are not correct for this package.

    Entrando sul server da ssh ed eseguendo l’aggiornamento da linea di comando
    yum update -y

    riceviamo il seguente errore

    warning: /var/cache/yum/x86_64/7/dell-system-update_dependent/packages/srvadmin-oslog-9.4.0-3787.15943.el7.x86_64.rpm: Header V4 RSA/SHA512 Signature, key ID 34d8786f: NOKEY
    Retrieving key from http://linux.dell.com/repo/hardware/dsu/public.key
    
    The GPG keys listed for the "dell-system-update_dependent" repository are already installed but they are not correct for this package.
    Check that the correct key URLs are configured for this repository.
    
     Failing package is: srvadmin-oslog-9.4.0-3787.15943.el7.x86_64
     GPG Keys are configured as: http://linux.dell.com/repo/hardware/dsu/public.key

    la problematica è chiara e per risolverla a noi ha funzionato la seguente operazione

    semore da linea di comandoe sempre come root
    rpm --import http://linux.dell.com/repo/pgp_pubkeys/0x1285491434D8786F.asc
    se l’operazione si conclude senza errori è conveniente passare solo all’aggiornamento del pacchetto in questione
    yum update srvadmin*
    L’operazione dovrebbe andare a buon fine senza errori, a questo punto punto passiamo all’aggiornamento di tutti gli altri pacchetti
    `yum update -y’

    Lo staff

Stai visualizzando 1 post (di 1 totali)
  • Devi essere connesso per rispondere a questo topic.